#
# spec file for package lyx (Version 1.1.6fix2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -lyx ghostscript-serv gpp gsview gv hylafax ispell libgpp libjpeg lprold sgmltool te_latex te_web tetex xf86 xforms xformsd xpm
# usedforbuild    -lyx aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-serv glibc glibc-devel gpm gpp gppshare grep groff gsview gv gzip hylafax ispell kbd less libgpp libjpeg libtool libz lprold m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow strace syslogd sysvinit te_ams te_latex te_web tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xforms xformsd xshared

Name:         lyx
Copyright:    1995 Matthias Ettrich, 1995 - 2001 LyX Team
Group:        X11/Applications
Requires:     tetex te_latex
Autoreqprov:  on
Version:      1.1.6fix2
Release:      86
Summary:      LaTeX based WYSIWYG editor
Source:       lyx-1.1.6fix2.tar.bz2
Source1:      SuSEconfig.lyx
Patch:        lyx-1.1.6fix2.dif

%description
LyX is a frontend for LaTeX under X11. It combines the comfortable use
of a word processor with the high quality of LaTeX typesetting.
Documents are displayed in a WYSIWYG-like way.
User doesn't choose low level attributes ("large italic") but high level
layouts (styles) for each paragraph. Of course, low level formatting is
still possible.

Authors:
--------
    Matthias Ettrich <ettrich@informatik.uni-tuebingen.de>

SuSE series: tex

%prep
%setup
%patch -p0

%build
%{?suse_update_config:%{suse_update_config -f config}}
#aclocal
#automake --gnu --include-deps Makefile
#autoconf
./configure \
    --prefix=/usr \
    --with-texmf=/usr/lib/teTeX/texmf \
    --with-extra-inc=/usr/X11R6/include/X11 \
    --bindir=/usr/X11R6/bin \
    --mandir=/usr/share/man
make

%install
export DEFAULTDOCDIR=%{_defaultdocdir}
make install TEXMF=/usr/lib/teTeX/texmf
strip /usr/X11R6/bin/lyx
install -d -m 755 ${DEFAULTDOCDIR}/lyx
for i in /usr/share/lyx/doc/*; do ln -s $i /usr/share/doc/packages/lyx/
done
test -d /usr/share/texmf/tex/latex && (ln -s /usr/share/lyx/tex /usr/share/texmf/tex/latex/lyx)
install -m 755 %{S:1} /sbin/conf.d/
chmod 755 /usr/share/lyx/configure

%files
%docdir /usr/share/lyx/doc
/sbin/conf.d/SuSEconfig.lyx
%doc %{_defaultdocdir}/lyx/*
/usr/share/locale/*/LC_MESSAGES/lyx.mo
/usr/X11R6/bin/lyx
/usr/X11R6/bin/reLyX
/usr/share/texmf/tex/latex/lyx
/usr/share/lyx/*
%doc /usr/share/man/man1/lyx.1.gz
%doc /usr/share/man/man1/reLyX.1.gz

%changelog -n lyx
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Fri Jul 06 2001 - bg@suse.de
- fix severe performance problems when displaying previews
  (workaround for Bug #9191)
- resolve compile problem on ia64
- make sure, SuSEconfig.lyx is installed executable
* Thu Jun 28 2001 - bg@suse.de
- update to version 1.6fix2
- resolves compile problems on several architectures
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Wed May 09 2001 - uli@suse.de
- bzipped tarball
* Mon Apr 02 2001 - bg@suse.de
- update to version 1.6fix1
- did not integrate Czech locales, this is subject of a bugzilla
  entry.
- resolve Bug 5185 (SuSEconfig.lyx being too verbose)
- fix for gcc 2.95 is not necessary anymore.
* Mon Sep 25 2000 - uli@suse.de
- added libjpeg to neededforbuild
* Tue Aug 29 2000 - bg@suse.de
- added fix from uli for gcc 2.95.3
* Fri Aug 25 2000 - bg@suse.de
- new version 1.1.5fix1
* Tue May 30 2000 - kasal@suse.de
- patched to work with Czech locales
* Tue May 30 2000 - bg@suse.de
- added two bugfix patches
- moved /usr/doc/packages
- removed Makefile.Linux
* Wed Feb 23 2000 - bg@suse.de
- add Bugfix Patch
* Fri Feb 04 2000 - bg@suse.de
- changed to new version 1.1.4
* Sun Jan 16 2000 - bg@suse.de
- moved /usr/man to /usr/share/man
- added symlink to enable some styles in TeX
- applied a patch to fix some smaller bugs
* Thu Dec 30 1999 - bg@suse.de
- changed to new version 1.1.3
* Mon Sep 20 1999 - ro@suse.de
- added Requires TeX
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar 17 1999 - fehr@suse.de
- changed to new version 1.0.1
* Wed Feb 24 1999 - ro@suse.de
- added xformsd to neededforbuild
* Wed Feb 11 1998 - fehr@suse.de
- Changed to new Version 0.12.0pre8
* Tue Oct 07 1997 - fehr@suse.de
- Prepared package for automatic build
* Mon May 12 1997 - fehr@suse.de
- New version 0.10.7
* Thu Jan 02 1997 - fehr@suse.de
- Added lpr as spool command to system.lyxrc
* Thu Jan 02 1997 - fehr@suse.de
- New Version 0.10.3
* Thu Jan 02 1997 - fehr@suse.de
- New Version 0.10.1
